=== examples/CMakeLists.txt ===
add_subdirectory(lsdevice)
add_subdirectory(inputdevices)
