=== debian/changelog ===
dtkdevice (1.0.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 13:42:29 +0800

dtkdevice (1.0.3) unstable; urgency=medium

  * Release 1.0.3

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 11:35:43 +0800

dtkdevice (1.0.1) unstable; urgency=medium

  * Update  release log for the dtkdevice

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 12 Jan 2023 10:39:02 +0800

dtkdevice (1.0.0) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 01 Jul 2022 14:29:07 +0800
