=== debian/control ===
Source: dtkdevice
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 doxygen,
 qhelpgenerator-qt5 | qttools5-dev-tools,
 qtbase5-dev,
 libdtkcore-dev,
 libnl-3-dev, 
 libnl-route-3-dev,
 pkg-config
Standards-Version: 4.5.0

Package: libdtkdevice1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Deepin Tool Kit template library
 DtkDevice is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtkdevice-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libdtkdevice1( =${binary:Version})
Description: Deepin Tool Kit template devel library
 DtkDevice is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries of DtkDevice

Package: libdtkdevice-doc
Architecture: any
Depends: ${misc:Depends}
Description: Deepin Tool Kit Core (document)
 DtkDevice is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the doc files of DtkDevice
