=== debian/changelog ===
dtkdevice (1.0.4) unstable; urgency=medium

  * Release 1.0.4

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 13 Feb 2023 17:25:44 +0800
